| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Marker Class Reference

A widget representing a marker on a graph or timeline. More...

`#include <marker_dialog.h>`

Inheritance diagram for Marker:

## Public Member Functions
| Marker (const double x, const int index, const bool isPosMarker)
| Constructs a new Marker.
QString | name () const
| Gets the formatted name of the marker.
int | index () const
| Gets the index of the marker.
double | xCoord () const
| Gets the X coordinate of the marker.
void | setXCoord (double value)
| Sets the X coordinate of the marker.
bool | isPosMarker () const
| Checks if this is a position marker.
void | setVisibility (const bool v)
| Sets the visibility of the marker.
bool | visible () const
| Checks if the marker is visible.

## Static Public Member Functions
static int | index (const Marker *m)
| Retrieves the index of a given marker pointer.
static QString | toHex (long long value)
| Converts a value to its hexadecimal string representation.

## Detailed Description

A widget representing a marker on a graph or timeline.

marker_dialog.h Marker of customplot (Header file) By Hamdi Miladi hamdi.nosp@m..mil.nosp@m.adi@t.nosp@m.echn.nosp@m.ica-e.nosp@m.ngin.nosp@m.eerin.nosp@m.g.de Copyright 2025 Hamdi Miladi

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Constructor & Destructor Documentation

## ◆ Marker()

Marker::Marker | ( | const double | x,
|  | const int | index,
|  | const bool | isPosMarker )

Constructs a new Marker.

Parameters

  x | The initial X coordinate of the marker.
  index | The index identifier of the marker.
  isPosMarker | True if this is a position marker, false otherwise.

## Member Function Documentation

## ◆ index() [1/2]

int Marker::index | ( |  | ) | const
| inline

Gets the index of the marker.

Returns
  The index value.

## ◆ index() [2/2]

int Marker::index | ( | const Marker * | m | ) |
| inline static

Retrieves the index of a given marker pointer.

Parameters

  m | Pointer to the marker.

Returns
  The index of the marker, or -1 if the pointer is null.

## ◆ isPosMarker()

bool Marker::isPosMarker | ( |  | ) | const
| inline

Checks if this is a position marker.

Returns
  True if it is a position marker, false otherwise.

## ◆ name()

QString Marker::name | ( |  | ) | const
| inline

Gets the formatted name of the marker.

Returns
  The name string.

## ◆ setVisibility()

void Marker::setVisibility | ( | const bool | v | ) |
| inline

Sets the visibility of the marker.

Parameters

  v | True to make visible, false to hide.

## ◆ setXCoord()

void Marker::setXCoord | ( | double | value | ) |

Sets the X coordinate of the marker.

Parameters

  value | The new X coordinate.

## ◆ toHex()

QString Marker::toHex | ( | long long | value | ) |
| static

Converts a value to its hexadecimal string representation.

Parameters

  value | The value to convert.

Returns
  The hexadecimal string.

## ◆ visible()

bool Marker::visible | ( |  | ) | const
| inline

Checks if the marker is visible.

Returns
  True if visible, false otherwise.

## ◆ xCoord()

double Marker::xCoord | ( |  | ) | const
| inline

Gets the X coordinate of the marker.

Returns
  The X coordinate.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/marker_dialog.h
- /builds/wireshark/wireshark/ui/qt/marker_dialog.cpp